
QGIS Application - Bug report #17488

Processing Modeler: Defective GUI 

2017-11-17 02:40 PM - Andreas Schmid

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Linux (Ubuntu/Mint), macOS Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 25385

Description

In Processing Modeler, the GUI of the Inputs and Algorithms panels is defective. (Does not resize correctly.) See screenshot attached.

Related issues:

Related to QGIS Application - Bug report # 18473: graphical modeler panels wi... Closed 2018-03-17

Duplicates QGIS Application - Bug report # 16428: Processing UI forms not ren... Closed 2017-04-08

History

#1 - 2017-11-21 02:05 PM - Giovanni Manghi

- Priority changed from Normal to High

- Regression? changed from No to Yes

Confirmed here on ubuntu 16.04.

#2 - 2017-11-22 02:42 AM - Larry Shaffer

Also here on macOS. I had a fix, that has to do with object parenting and layout insertion, but unfortunately can not find it.

Basically, the faulty widget needs to be specifically added to the layout of the panel, not just assigned the panel as its parent (or something like that).

#3 - 2017-11-23 03:09 PM - Alexander Bruy

- Status changed from Open to Feedback

Not reproducible on Linux (17ad093, self-compiled) and Windows 7 (installed via OSGeo4W, qgis-dev-2.99.0-224 from November, 23). Please check if

you have QGIS custom widgets library from previous versions somewhere in the system.

#4 - 2017-11-24 04:46 PM - Andreas Schmid

- Status changed from Feedback to Open

Not reproducible on Ubuntu 17.10 with self-compiled Version cd0ba91.

Reproducible on a clean Ubuntu 17.10 when using the nightly build Ubuntu packages (cd0ba91). (Sorry that I didn't mention in the bug description that I

was using the nightly builds.)
So it has to do with packaging?

#5 - 2017-11-24 04:49 PM - Giovanni Manghi

Andreas Schmid wrote:

Not reproducible on Ubuntu 17.10 with self-compiled Version cd0ba91.

Reproducible on a clean Ubuntu 17.10 when using the nightly build Ubuntu packages (cd0ba91). (Sorry that I didn't mention in the bug description

that I was using the nightly builds.)

So it has to do with packaging?

apparently yes. I also can't confirm on windows/osgeo4w but see it on any master installation on Ubuntu/mint did with the repo for master.

#6 - 2017-11-24 04:50 PM - Giovanni Manghi

- Operating System changed from Ubuntu 17.10 to Linux (Ubuntu/Mint), macOS

- Regression? changed from Yes to No

- Priority changed from High to Normal

- Assignee deleted (Victor Olaya)

- Category changed from Processing/Modeller to Build/Install

#7 - 2017-11-29 04:56 PM - Andreas Neumann

- File processing_modelerer_kde.png added

Same issue for me on Ubuntu 17.10, KDE-Plasma, qt 5.9.1

With self-compiled master version commit:de3aa0c9f8

See also screenshot attached

#8 - 2018-01-16 01:45 AM - Kory Roberts

Confirmed on Linux Mint 18.3 Cinnamon, QGIS 2.99 commit:c4aa4d0, Qt 5.5.1.

#9 - 2018-01-16 03:12 AM - Mathieu Pellerin - nIRV

Removing the file "qgis_customwidgets.py" from /usr/lib/python3/dist-packages/PyQt5/uic/widget-plugins should fix the modeler.

Locate the file on your system if it's not in the above-mentioned path.

#10 - 2018-01-18 08:49 PM - Randal Hale

I just gave this a shot on Ubuntu 17.10 QGIS Build commit:d8402ac and it worked. I finally have a Processing Modeler that looks like it should look and

hopefully works correctly.
#11 - 2018-03-17 07:20 PM - Jürgen Fischer

- Related to Bug report #18473: graphical modeler panels widgets are collapsed added

#12 - 2018-03-30 05:01 PM - Regis Haubourg

- Priority changed from Normal to High

#13 - 2018-05-16 02:51 PM - Alexander Bruy

- Duplicates Bug report #16428: Processing UI forms not rendering properly added

#14 - 2018-05-16 02:51 PM - Alexander Bruy

- Status changed from Open to Closed

- Resolution set to duplicate

Duplicates #16428

Files

modeler gui.png 21 KB 2017-11-17 Andreas Schmid

processing_modelerer_kde.png 47.4 KB 2017-11-29 Andreas Neumann
